aboutsummaryrefslogtreecommitdiff
path: root/test/run_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/run_test.sh')
-rwxr-xr-xtest/run_test.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/test/run_test.sh b/test/run_test.sh
index 0fa50f27f..4d0df3d2f 100755
--- a/test/run_test.sh
+++ b/test/run_test.sh
@@ -1,9 +1,9 @@
#!/bin/sh
# vim: set ft=sh sw=4 sts=4 et :
-if test -f "$1"_"setup.sh" ; then
+if test -f "$TEST_SCRIPT_DIR""$1"_"setup.sh" ; then
echo ">>> setup for test $1"
- if ! "$1"_"setup.sh" ; then
+ if ! "$TEST_SCRIPT_DIR""$1"_"setup.sh" ; then
echo ">>> exiting with error for test $1"
exit 255
fi
@@ -11,17 +11,17 @@ fi
echo ">>> test $1"
if ! $1 ; then
- if test -f "$1"_"cleanup.sh" ; then
+ if test -f "$TEST_SCRIPT_DIR""$1"_"cleanup.sh" ; then
echo ">>> cleanup for test $1"
- "$1"_"cleanup.sh"
+ "$TEST_SCRIPT_DIR""$1"_"cleanup.sh"
fi
echo ">>> exiting with error for test $1"
exit 255
fi
-if test -f "$1"_"cleanup.sh" ; then
+if test -f "$TEST_SCRIPT_DIR""$1"_"cleanup.sh" ; then
echo ">>> cleanup for test $1"
- if ! "$1"_"cleanup.sh" ; then
+ if ! "$TEST_SCRIPT_DIR""$1"_"cleanup.sh" ; then
echo ">>> exiting with error for test $1"
exit 255
fi
@@ -30,3 +30,4 @@ fi
echo ">>> exiting with success for test $1"
exit 0
+